Perform various operations for Symitar parameters.
Operations
getInstitution
Retrieve Institution parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
InstitutionBranchintegerrequiredLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/parameter/getInstitutionPOST /nexum/627/2022.01/parameter/getInstitution HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"InstitutionBranch": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getInstitutionSelectFields
Retrieve Institution parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
InstitutionBranchintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/parameter/getInstitutionSelectFieldsPOST /nexum/627/2022.01/parameter/getInstitutionSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
},
"InstitutionBranch": 0,
"SelectableFields": {
"InstitutionFields": {
"Branch": true,
"Name": true,
"City": true,
"State": true
}
}
}getInstitutionPagedList
Retrieve Institution parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Loading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/parameter/getInstitutionPagedListPOST /nexum/627/2022.01/parameter/getInstitutionPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "REPLACE_WITH_YOUR_TOKEN"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getInstitutionListSelectFields
Retrieve Institution parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Loading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/parameter/getInstitutionListSelectFieldsPOST /nexum/627/2022.01/parameter/getInstitutionListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
},
"SelectableFields": {
"IncludeAllInstitutionFields": true
}
}searchInstitutionSelectFields
Search Institution parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Loading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/parameter/searchInstitutionSelectFieldsPOST /nexum/627/2022.01/parameter/searchInstitutionSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"SelectableFields": {
"IncludeAllInstitutionFields": true
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getInstitutionPagedListSelectFields
Retrieve Institution parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Loading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/parameter/getInstitutionPagedListSelectFieldsPOST /nexum/627/2022.01/parameter/getInstitutionPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
},
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"InstitutionFields": {
"Branch": true,
"Name": true,
"City": true,
"State": true
}
}
}